--- !ruby/object:RI::ClassDescription 
attributes: 
- !ruby/object:RI::Attribute 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: The maximum number of bytes that may be written to this data stream.
  name: limit
  rw: R
- !ruby/object:RI::Attribute 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: The current total number of bytes written to this data stream.
  name: written
  rw: R
class_methods: 
- !ruby/object:RI::MethodSummary 
  name: new
comment: 
- !ruby/struct:SM::Flow::P 
  body: A RestrictedStream that also has a size limit.
constants: []

full_name: Archive::Tar::Minitar::Writer::BoundedStream
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: write
name: BoundedStream
superclass: Archive::Tar::Minitar::Writer::RestrictedStream
